View Issue Details

IDProjectCategoryView StatusLast Update
0003819mantisbtotherpublic2012-04-29 14:40
Reporterghost Assigned Todregad  
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionduplicate 
Summary0003819: delete currently logged user
Description

when you delete currently logged user you should be then redirected to login screen, but now system collapses

TagsNo tags attached.

Relationships

duplicate of 0010687 closeddhx Administrators shouldn't be allowed to delete their own account 
related to 0003116 acknowledged If a user reports a bug, and gets purged for inactivity, updating the bug changes the username 
has duplicate 0002998 closedvboctor Logged in user is allowed self delete 

Activities

vboctor

vboctor

2004-05-10 06:06

manager   ~0005482

In my opinion we should not allow deleting the currently logged in user. This will also gaurantee for us that there is at least one remaining admin in the system.

grangeway

grangeway

2004-08-03 16:21

reporter   ~0006607

It doesn't allow you however, to remove a malicious user.

jlatour

jlatour

2004-08-06 11:16

reporter   ~0006711

I agree. I think it is a good precaution not to let users delete themselves.

Paul, what do you mean?

grangeway

grangeway

2004-08-06 17:28

reporter   ~0006732

I was reading it as 'current logged in users' rather then user.

I.e. "you can't delete any user that is logged in

I'm assuming victor meant just the user doing the deletion - in which case - i agree :)

jlatour

jlatour

2004-08-06 18:09

reporter   ~0006735

Alright, then we agree :-)

ralfiii

ralfiii

2004-11-09 04:27

reporter   ~0008297

see also bug 0002998

dregad

dregad

2012-04-13 03:31

developer   ~0031649

This was actually fixed in 1.2.x a long time ago (see 0010687).

Issue History

Date Modified Username Field Change
2004-05-10 05:23 ghost New Issue
2004-05-10 06:06 vboctor Note Added: 0005482
2004-08-03 16:21 grangeway Note Added: 0006607
2004-08-06 11:16 jlatour Note Added: 0006711
2004-08-06 11:16 jlatour Status new => feedback
2004-08-06 17:28 grangeway Note Added: 0006732
2004-08-06 18:09 jlatour Note Added: 0006735
2004-08-06 18:09 jlatour Status feedback => confirmed
2004-11-09 04:27 ralfiii Note Added: 0008297
2004-11-10 15:35 vboctor Relationship added has duplicate 0002998
2005-06-14 17:50 thraxisp Relationship added related to 0003116
2012-04-13 03:31 dregad Note Added: 0031649
2012-04-13 03:31 dregad Relationship added duplicate of 0010687
2012-04-13 03:31 dregad Status confirmed => resolved
2012-04-13 03:31 dregad Resolution open => duplicate
2012-04-13 03:31 dregad Assigned To => dregad
2012-04-29 14:40 atrol Status resolved => closed